%global pkgvers 0
%global scdate0 20250530
%global schash0 a04763de6dafb8d3a0d7f1b231fc0d30be1de4c0
%global branch0 master
%global source0 https://github.com/pysathq/pysat.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

%define with_doc 0

Name:           pysat
Version:        0.1.7
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        SAT technology in Python
License:        BSD
URL:            https://pysathq.github.io

BuildRequires:  gcc-c++ make git python3-devel python3-setuptools
%if %{with_doc}
%if 0%{?fedora}
BuildRequires:  cadical-devel
BuildRequires:  python3-sphinx latexmk texlive-metafont texlive-ec texlive-babel-english
BuildRequires:  texlive-amsfonts texlive-amsmath texlive-auxhook texlive-babel
BuildRequires:  texlive-bigintcalc texlive-bitset texlive-capt-of texlive-cmap
BuildRequires:  texlive-epstopdf texlive-etexcmds texlive-fancyhdr texlive-fancyvrb
BuildRequires:  texlive-float texlive-fncychap texlive-framed texlive-geometry
BuildRequires:  texlive-gettitlestring texlive-graphics texlive-hycolor texlive-hyperref
BuildRequires:  texlive-iftex texlive-infwarerr texlive-intcalc texlive-kvdefinekeys
BuildRequires:  texlive-kvoptions texlive-kvsetkeys texlive-l3backend
BuildRequires:  texlive-latex texlive-latexconfig texlive-letltxmacro texlive-tex-gyre
BuildRequires:  texlive-ltxcmds texlive-mptopdf texlive-needspace texlive-oberdiek
BuildRequires:  texlive-parskip texlive-pdfescape texlive-pdftexcmds texlive-refcount
BuildRequires:  texlive-rerunfilecheck texlive-tabulary texlive-tex texlive-titlesec
BuildRequires:  texlive-tools texlive-uniquecounter texlive-upquote texlive-url
BuildRequires:  texlive-varwidth texlive-wrapfig texlive-xcolor texlive-makeindex
%endif
%endif

%description
PySAT is a Python toolkit, which aims at providing
a simple and unified interface to a number of
state-of-art Boolean satisfiability (SAT) solvers.


%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller
# fixes
sed -i 's|some_other_arguments||g' ./allies/approxmc.py
sed -i 's|self.counter...|self.counter|g' ./allies/approxmc.py


%build
%if %{with_doc}
%if 0%{?fedora}
pushd docs
make latexpdf
popd
%endif
%endif
%py3_build


%install
%py3_install


%files
%license LICENSE.txt
%doc README.rst
%if %{with_doc}
%if 0%{?fedora}
%doc docs/_build/latex/PySAT.pdf
%endif
%endif
%{_bindir}/*
%{python3_sitearch}/*


%changelog
* Fri Jul 02 2021 Cristian Balint <cristian.balint@gmail.com>
- update github releases
